Bug 254867 - Update devel/godot2 to use scons-py37 and disable internal libs
Summary: Update devel/godot2 to use scons-py37 and disable internal libs
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kevin Bowling
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-04-08 01:25 UTC by Shane
Modified: 2021-06-15 15:23 UTC (History)
2 users (show)

See Also:


Attachments
maintainer update for devel/godot2 (875 bytes, patch)
2021-04-08 01:25 UTC, Shane
FreeBSD: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Shane 2021-04-08 01:25:36 UTC
Created attachment 223909 [details]
maintainer update for devel/godot2

Remove use of python2 for scons, builds fine with py3 scons
Disable use of internal png, freetype and zlib. This matches ports r21173a456111 for godot v3 and fixes build on powerpc64le
Comment 1 Shane 2021-04-08 01:28:01 UTC
Looks like we need a bugzilla update to add links to git commits.
Comment 2 Ronald Klop 2021-05-28 14:06:04 UTC
Can this be closed? It looks like it is already fixed in https://cgit.freebsd.org/ports/commit/?id=cd980606463023c2d1909c8bc38c157d56207da8
Comment 3 Shane 2021-05-31 08:43:51 UTC
The use of py2 was removed there, my patch also has a config change, disabling the use of some internal libs.

Might cause the patch to fail, but simple to change manually.
Comment 4 Ronald Klop 2021-05-31 10:35:00 UTC
(In reply to Shane from comment #3)
As you are the maintainer of the port you can flag your attachment as "maintainer-approval: +". That might trigger committers to look at it.
Comment 5 commit-hook freebsd_committer 2021-06-15 15:20:22 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=56c603914f70b67f04164958ab80f7a0ebd2c0e0

commit 56c603914f70b67f04164958ab80f7a0ebd2c0e0
Author:     Shane <FreeBSD@ShaneWare.Biz>
AuthorDate: 2021-06-15 15:17:41 +0000
Commit:     Kevin Bowling <kbowling@FreeBSD.org>
CommitDate: 2021-06-15 15:17:41 +0000

    devel/godot2: disable internal libs

    Disable use of internal png, freetype and zlib.

    This matches ports for godot v3 and fixes build on powerpc64le.

    PR:             254867
    Approved by:    maintainer
    MFH:            2021Q2

 devel/godot2/Makefile | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)
Comment 6 commit-hook freebsd_committer 2021-06-15 15:23:24 UTC
A commit in branch 2021Q2 references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=4c97793261f24c42244f904b4dbfe50bbb734fb4

commit 4c97793261f24c42244f904b4dbfe50bbb734fb4
Author:     Shane <FreeBSD@ShaneWare.Biz>
AuthorDate: 2021-06-15 15:17:41 +0000
Commit:     Kevin Bowling <kbowling@FreeBSD.org>
CommitDate: 2021-06-15 15:22:06 +0000

    devel/godot2: disable internal libs

    Remove use of python2 for scons, builds fine with py3 scons

    Disable use of internal png, freetype and zlib.

    This matches ports for godot v3 and fixes build on powerpc64le.

    PR:             254867
    Approved by:    maintainer
    MFH:            2021Q2

    (cherry picked from commit 56c603914f70b67f04164958ab80f7a0ebd2c0e0)

 devel/godot2/Makefile | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)
Comment 7 Kevin Bowling freebsd_committer 2021-06-15 15:23:45 UTC
Thanks for your contribution!